Subject: bug#17625: 24.4.50; All installed packages marked "unsigned", no archive listed

From: Ted Zlatanov <[email-masked]>
Date: Thu, 26 Jun 2014 09:53:24 -0400

On Thu, 26 Jun 2014 16:28:47 +0900 Daiki Ueno <[email-masked]> wrote: 

DU> Stefan Monnier <[email-masked]> writes:

>> There are several issues in it:
>> 
>> 1- why have `package-desc-signed' (and the foo.signed files)?  I don't
>> think APT has such a feature and I'm wondering what would be
>> the interest.

DU> I remember it was exactly for displaying signed/unsigned status on the
DU> list, requested by Ted:
DU> https://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00033.html
DU> I'm not sure if it is useful at this point.

I think you mean where I said:

TZ> Any file from an archive, not just a package tarball, should be signed
TZ> (especially the package index).

Ted